import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import "../../components"

import Artix.Core
import Artix.Gui
import Artix.Models
import Artix.Handlers

/**
 * @brief Боковая панель
 */
SideView {
    padding: 0
    SideMenuHandler { id: handler }

    BasicButton {
        width: 72
        height: 72
        radius: width / 2
        Style.class: "sideMenuClose"
        anchors.top: parent.top
        anchors.right: parent.right
        icon: Style.parameter("icon.cross")
        onClicked: sidePanel.close()
    }
    // Сервисное меню. Здесь предполагается использовать действия, которые могут понадобиться в любом контексте.
    // Например действие loguot может быть использовано в любом контексте, чтобы заблокировать кассу.
    ListView {
        id: listView
        anchors.fill: parent
        anchors.margins: 24
        anchors.topMargin: 72
        clip: true
        model: MenuModel {
            Component.onCompleted: refresh(Config.getInt("Gui.SidePanel:menuCode", 0), false)
        }
        delegate: BasicButton {
            Style.class: "sideMenuDelegate"
            textLayout.alignment: Qt.AlignVCenter | Qt.AlignLeft
            width: listView.width
            height: 72
            text: actionName
            onClicked: { handler.executeAction(actionCode); sidePanel.close() }
        }
    }
    background: Rectangle {
        color: Style.parameter("color.modalBackground")
    }
}
