import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import QtQuick.VirtualKeyboard.Styles

import Artix.Gui

/**
 * @brief Базовая кнопка клавиатуры
 */
KeyPanel {
    id: root
    Style.type: "button"
    Style.class: "keyboardKey"
    property alias contentItem: loader.sourceComponent
    readonly property bool down: control.pressed

    Rectangle {
        anchors.fill: parent
        color: root.Style.background.color
        border.color: root.Style.background.border.color
        border.width: root.Style.background.border.width
        radius: root.Style.background.radius

        Loader {
            id: loader
            anchors.fill: parent
        }

        Behavior on color {
            id: backgroundAnimation
            enabled: false
            ColorAnimation { duration: 100 }
        }
        Component.onCompleted: backgroundAnimation.enabled = true
    }
}
